**Figure:** Primary mass posterior predictive check

##### Data

The data used to create the following plots is an output from the population analyses from [`GWPopulation`](https://github.com/ColmTalbot/gwpopulation). The output [population](https://git.ligo.org/publications/O3/o3-pop/-/blob/master/Population_Samples) and [event](https://git.ligo.org/publications/O3/o3-pop/-/blob/master/Event_Samples) samples files are passed to `gwpopulation_pipe_to_common_format` to generate the following files which contain ppd samples drawn from the observed distribution.

* ../Multiple-Fig-Data/synthetic_observed_samples/o1o2o3_mass_b_iid_mag_two_comp_iid_tilt_powerlaw_redshift_full_posterior.hdf5
* ../Multiple-Fig-Data/synthetic_observed_samples/o1o2o3_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_full_posterior.hdf5
* ../Multiple-Fig-Data/synthetic_observed_samples/o1o2o3_mass_d_iid_mag_two_comp_iid_tilt_powerlaw_redshift_full_posterior.hdf5
* ../Multiple-Fig-Data/synthetic_observed_samples/o1o2o3_mass_e_iid_mag_two_comp_iid_tilt_powerlaw_redshift_full_posterior.hdf5


##### Reading and plotting data

An example plotting script showing how to read and plot the data is provided:

```bash
python ../Scripts/posterior_predictive_plots.py --sample-file ../Multiple-Fig-Data/synthetic_observed_samples/o1o2o3_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_full_posterior.hdf5 --model c --parameters mass_1

```

This produces the following figure [mass_1_cdf_filled_90.png](https://git.ligo.org/publications/O3/o3-pop/-/blob/master/Figures_and_Tables/Fig-18-m1-ppc/mass_1_cdf_filled_90.png)